Subject: Re: Is this 32-bit NCM?

From: Kevin Zhu <[email-masked]>
Date: Tue, 2 Dec 2014 03:53:53 +0000

Hi,

The DHCP packets have the maximum size of dwNtbOutMaxSize=16384, while
the other packets are less than that. However, the DHCP queries are not
replied in time either, there's always some delay.

By the way, though the device claims to support GET_MAX_DATAGRAM_SIZE,
but it returns error when the host sends this command to it. I disabled
this command in NCM driver and tried, but it's the same result.

Regards,
Kevin

On 12/02/2014 06:02 AM, Eli Britstein wrote:
> Hi Enrico and all,
>
> Maybe I missed something but what is the difference by the driver point of view between the dhcp discover and request (that are ok) to others (like arp, that is nok)?
> Maybe we can trace to compare them?
>
> Sent from my iPhone
>
>> On 1 בדצמ 2014, at 23:11, "Enrico Mioso" <[email-masked]> wrote:
>>
>> So ... I have two ideas left for now.
>> We know for sure the problem is in the way we TX frames, not the way we RX them
>> (the way we send, generate them, not the way we receive them).
>> Si I have two ideas, and I ask for help from the Linux-usb mailing list for
>> this first one.
>>
>> 1 - Does a wayexist to "replay" traffic crom a usb capture?
>> We might try to take the usb frames generated by Windows, and send them to the
>> device to see if there is any reaction. It should not be science fiction, I saw
>> them do that in the eciadsl old project.
>> 2 - The huawei ndis driver: does it work with these devices?
>> It should be a little bit out-dated now (at least in terms of dates, it might
>> work as well): the code is A LOT but, just in case, to see if there is any
>> chances it'll work. It remains to be seen in which kernels it can actually
>> compile again.
>>
>> If this works we might analyse what's happening and try to debug this out.
>> But I really would like this to work in the cdc_ncm driver + huawei_cdc_ncm.
>> Thank you.
This email and any files transmitted with it are confidential material. They are intended solely for the use of the designated individual or entity to whom they are addressed. If the reader of this message is not the intended recipient, you are hereby notified that any dissemination, use, distribution or copying of this communication is strictly prohibited and may be unlawful.

If you have received this email in error please immediately notify the sender and delete or destroy any copy of this message